XCB: XCB GenericEvent API

XCB 1.14

Data Structures | Macros | Typedefs | Functions | Variables
XCB GenericEvent API

GenericEvent XCB Protocol Implementation. More...

## Data Structures
struct | xcb_genericevent_query_version_cookie_t
| xcb_genericevent_query_version_cookie_t More...
struct | xcb_genericevent_query_version_request_t
| xcb_genericevent_query_version_request_t More...
struct | xcb_genericevent_query_version_reply_t
| xcb_genericevent_query_version_reply_t More...

## Macros
#define | XCB_GENERICEVENT_MAJOR_VERSION 1
#define | XCB_GENERICEVENT_MINOR_VERSION 0
#define | XCB_GENERICEVENT_QUERY_VERSION 0

## Typedefs
typedef struct xcb_genericevent_query_version_cookie_t | xcb_genericevent_query_version_cookie_t
| xcb_genericevent_query_version_cookie_t
typedef struct xcb_genericevent_query_version_request_t | xcb_genericevent_query_version_request_t
| xcb_genericevent_query_version_request_t
typedef struct xcb_genericevent_query_version_reply_t | xcb_genericevent_query_version_reply_t
| xcb_genericevent_query_version_reply_t

## Functions
xcb_genericevent_query_version_cookie_t | xcb_genericevent_query_version (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_genericevent_query_version_cookie_t | xcb_genericevent_query_version_unchecked (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_genericevent_query_version_reply_t * | xcb_genericevent_query_version_reply (xcb_connection_t *c, xcb_genericevent_query_version_cookie_t cookie, xcb_generic_error_t **e)

## Variables
xcb_extension_t | xcb_genericevent_id

## Detailed Description

GenericEvent XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_GENERICEVENT_QUERY_VERSION

#define XCB_GENERICEVENT_QUERY_VERSION 0

Opcode for xcb_genericevent_query_version.

## Function Documentation

## ◆ xcb_genericevent_query_version()

xcb_genericevent_query_version_cookie_t xcb_genericevent_query_version | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_genericevent_query_version_reply()

xcb_genericevent_query_version_reply_t* xcb_genericevent_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_genericevent_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_genericevent_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_genericevent_query_version_unchecked()

xcb_genericevent_query_version_cookie_t xcb_genericevent_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.